/*******************************************************************************
 * Copyright (c) 2013, Perforce Software
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ******************************************************************************/
package com.perforce.search.model.impl;

import java.util.Map;

import com.perforce.search.model.FilesModel;

public class FilesModelImpl implements FilesModel {

    private String depotFile;
    private String rev;
    private String change;
    private String action;
    private String type;
    private String time;

    public FilesModelImpl(final Map<String, Object> map) {
	this.depotFile = (String) map.get("depotFile");
	this.rev = (String) map.get("rev");
	this.change = (String) map.get("change");
	this.action = (String) map.get("action");
	this.type = (String) map.get("type");
	this.time = (String) map.get("time");
    }

    @Override
    public String getDepotFile() {
	return depotFile;
    }

    @Override
    public String getRev() {
	return rev;
    }

    @Override
    public String getChange() {
	return change;
    }

    @Override
    public String getAction() {
	return action;
    }

    @Override
    public String getType() {
	return type;
    }

    @Override
    public String getTime() {
	return time;
    }

}
